Exiv2::Uri Class Reference

A container for URL components. It also provides the method to parse a URL to get the protocol, host, path, port, querystring, username, password. More...

`#include <futils.hpp>`

## Static Public Member Functions

static Uri EXIV2API | Parse (const std::string &uri)
| Parse the input URL to the protocol, host, path, username, password.
static void EXIV2API | Decode (Uri &uri)
| Decode the url components.

## Public Attributes

std::string | QueryString
| URL query string.
std::string | Path
| URL file path.
std::string | Protocol
| URL protocol.
std::string | Host
| URL host.
std::string | Port
| URL port.
std::string | Username
| URL username.
std::string | Password
| URL password.

## Detailed Description

A container for URL components. It also provides the method to parse a URL to get the protocol, host, path, port, querystring, username, password.

Source: http://stackoverflow.com/questions/2616011/easy-way-to-parse-a-url-in-c-cross-platform

The documentation for this class was generated from the following files:

- futils.hpp
- futils.cpp